import { FindAllArgs } from 'highlight-words-core';
import { Component, ComponentProps, ValidComponent } from 'solid-js';

type Props = FindAllArgs & {
    activeIdx: number;
    activeClass?: ComponentProps<"span">["class"];
    activeStyle?: ComponentProps<"span">["style"];
    highlightClass?: ComponentProps<"span">["class"];
    highlightStyle?: ComponentProps<"span">["style"];
    highlightTag?: ValidComponent;
    unhighlightClass?: ComponentProps<"span">["class"];
    unhighlightStyle?: ComponentProps<"span">["style"];
    unhighlightTag?: ValidComponent;
} & ComponentProps<"span">;
/**
 * Highlights all occurrences of search terms (searchText) within a string (textToHighlight).
 * This function returns an array of strings and <span>s (wrapping highlighted words).
 */
declare const Highlighter: Component<Props>;

export { Highlighter };
